;;;; cl-scopes/app/demo/etc/config

(in-package :scopes/app/demo)

(config:root :env-keys '(:docroot :address :port :loglevel :logfile)
             :env-path (util:runtime-path ".env"))

(config:add :logger :class 'logging:config)

(config:add :server 
  :class 'server:config
  :port "8800"
  :address "0.0.0.0"
  :routes 
    `((("api") server:message-handler :html-responder cs-hx:response)
      (() server:fileserver :doc-root 
            ,(config:path "/var/www/html/" :env-key :docroot))))
(config:add-action '(:test :data) #'core:echo)
